GET /api/v1/profile/{dataModelName}/{Id}/{childDataModelName}
Returns data model objects and child objects based on indexes and search filters.
Syntax
- HTTP method
- GET
- Availability
- Salesforce CDP v1.0, Salesforce v51.0
- Formats
- REST
- URI
- /api/v1/profile/{dataModelName}/{Id}/{childDataModelName}
Request Parameters
| Field Name | Field Type | Description |
|---|---|---|
| childDataModelName | string | Required. Child data model object API name. Example: UnifiedContactPointEmail__dlm |
| dataModelName | string | Required. Data model object API name. Example: UnifiedIndividual__dlm |
| fields | string | Comma separated name of the fields to be part of result from the child entity. Not specifying will give the first 10 alphabetically sorted fields. Example: Id__c,EmailAddress__c |
| filters | string | Filters are applied only on the parent object. Example: [FirstName__c=Mary] |
| id | string | Required. The value of an indexed column. |
| limit | int | The numbers of items to return. Example: 10 |
| offset | int | Number of rows to skip before starting to return. Example: 100 This field is available in API version 52.0 and later. |
| orderby | string | Comma separated values to sort the result-set in ascending or descending order.
Example: GenderId__c ASC,Occupation__c DESC This field is available in API version 52.0 and later. |
| searchKey | string | Index name if object's ID is different from primary key. Example: FirstName__c |
Examples
- Request
-
1 http://{TSE}.360a.salesforce.com/api/v1/profile/{dataModelName}/{Id}/{childDataModelName} 2 - Response
-
1{ 2 "data": [ 3 [ 4 { 5 "GenderId__c": "F", 6 "ExternalRecordId__c": "003f200002a3213541", 7 "UnifiedContactPointEmail__dlm": [ 8 { 9 "EmailAddress__c": "mstubblexd@gmail.marketingclouddemo.com", 10 "Id__c": "c0ed30ac-c33c-3388-8197-8e7000529478" 11 } 12 ], 13 "MaritalStatusId__c": "Other", 14 "LastName__c": "Stubblefield", 15 "ChildrenCount__c": 2, 16 "Id__c": "05d01a06-0c61-3990-808d-2aa602dd3e7f", 17 "BirthDate__c": "1963-07-08T00:00:00", 18 "Occupation__c": "Staffing", 19 "InternalOrganizationId__c": "", 20 "FirstName__c": "Don" 21 } 22 ] 23 ] 24} 25
HTTP Responses
| Response | Reason |
|---|---|
| 200 OK | Callback successfully verified |
| 400 Bad Request | Invalid request |
| 403 Forbidden | Failed to pass authorization. |
| 404 Not Found | Incorrect callback ID, verification key, or both. |
| 422 Unprocessable Entity | Attribute name used in fields/filter parameter does not exist. |
| 500 Server Error | Internal error |